# Lists all the GitX Webhooks events at Account level

List GitX webhook Events

Endpoint: GET /v1/gitx-webhook-events
Version: 1.0
Security: x-api-key

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to. This is required for Authorization methods other than the x-api-key header. If you are using the x-api-key header, this can be skipped.

## Query parameters:

  - `page` (integer)
    Pagination page number strategy: Specify the page number within the paginated collection related to the number of items in each page

  - `limit` (integer)
    Number of items to return per page.

  - `webhook_identifier` (string)

  - `event_start_time` (integer)

  - `event_end_time` (integer)

  - `repo_name` (string)

  - `file_path` (string)

  - `event_identifier` (string)

  - `event_status` (array)
    Enum: "SKIPPED", "FAILED", "PROCESSING", "SUCCESSFUL", "QUEUED", "WARNING", "UNKNOWN"

  - `connector_ref` (string)

  - `include_parent_scope` (boolean)

  - `commit_id` (string)

  - `branch` (string)

## Response 200 fields (application/json):

  - `author_name` (string)

  - `event_identifier` (string)

  - `webhook_identifier` (string)

  - `payload` (string)

  - `event_trigger_time` (integer)

  - `repo_name` (string)

  - `event_status` (string)
    Enum: "SKIPPED", "FAILED", "QUEUED", "SUCCESSFUL", "PROCESSING", "WARNING", "UNKNOWN"

  - `event_status_message` (object)
    Contains the gitx webhook event status message

  - `event_status_message.message` (string)

  - `event_status_message.hint` (string)

  - `event_status_message.explanation` (string)

  - `commit_message` (string)

  - `commit_id` (string)

  - `commit_url` (string)

  - `file_count` (integer)

  - `failure_file_count` (integer)

  - `branch` (string)


